# Uses of Interface
org.xnio.channels.WritableMessageChannel

Packages that use WritableMessageChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of WritableMessageChannel in org.xnio

Methods in org.xnio with type parameters of type WritableMessageChannel
Modifier and Type
Method
Description
`static <T extends WritableMessageChannel>
ChannelListener<T>`
ChannelListeners.`sendingChannelListener(Pooled<ByteBuffer> pooled, ChannelListener<? super T> delegate, ChannelExceptionHandler<? super T> exceptionHandler)`
A sending channel listener.

## Uses of WritableMessageChannel in org.xnio.channels

Subinterfaces of WritableMessageChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedMessageChannel`
A channel that sends and receives messages to a connected peer.
`interface`
`MessageChannel`
A channel that sends and receives whole messages.
Classes in org.xnio.channels that implement WritableMessageChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedMessageChannel`
A connected bidirectional message channel assembled from a readable and writable message channel.
`class`
`AssembledMessageChannel`
A bidirectional message channel assembled from a readable and writable message channel.
`class`
`FramedMessageChannel`
Deprecated.
This class is deprecated; use conduits instead.
Methods in org.xnio.channels with type parameters of type WritableMessageChannel
Modifier and Type
Method
Description
`static <C extends WritableMessageChannel>
void`
Channels.`sendBlocking(C channel, ByteBuffer buffer)`
Simple utility method to execute a blocking send on a message channel.
`static <C extends WritableMessageChannel>
void`
Channels.`sendBlocking(C channel, ByteBuffer[] buffers, int offs, int len)`
Simple utility method to execute a blocking gathering send on a message channel.
`static <C extends WritableMessageChannel>
boolean`
Channels.`sendBlocking(C channel, ByteBuffer[] buffers, int offs, int len, long time, TimeUnit unit)`
Simple utility method to execute a blocking gathering send on a message channel with a timeout.
`static <C extends WritableMessageChannel>
boolean`
Channels.`sendBlocking(C channel, ByteBuffer buffer, long time, TimeUnit unit)`
Simple utility method to execute a blocking send on a message channel with a timeout.
Methods in org.xnio.channels that return types with arguments of type WritableMessageChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends WritableMessageChannel>`
WritableMessageChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends WritableMessageChannel>`
WritableMessageChannel.`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.
Constructors in org.xnio.channels with parameters of type WritableMessageChannel
Modifier
Constructor
Description
``
`AssembledConnectedMessageChannel(ConnectedChannel connection, ReadableMessageChannel readable, WritableMessageChannel writable)`
Construct a new instance.
``
`AssembledConnectedMessageChannel(ReadableMessageChannel readable, WritableMessageChannel writable)`
Construct a new instance.
``
`AssembledMessageChannel(CloseableChannel closeable, ReadableMessageChannel readable, WritableMessageChannel writable)`
Construct a new instance.
``
`AssembledMessageChannel(ReadableMessageChannel readable, WritableMessageChannel writable)`
Construct a new instance.

## Uses of WritableMessageChannel in org.xnio.conduits

Classes in org.xnio.conduits that implement WritableMessageChannel
Modifier and Type
Class
Description
`final class`
`ConduitWritableMessageChannel`
A writable message channel which is backed by a message sink conduit.